From d39146c279f7096a33fe41f02861dbd98f3f56f3 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sun, 15 Dec 2024 07:34:25 +0000
Subject: [PATCH] subversion: upgrade 1.14.4 -> 1.14.5

---
 .../subversion/subversion/serfmacro.patch                 | 8 +++++---
 .../{subversion_1.14.4.bb => subversion_1.14.5.bb}        | 2 +-
 2 files changed, 6 insertions(+), 4 deletions(-)
 rename meta/recipes-devtools/subversion/{subversion_1.14.4.bb => subversion_1.14.5.bb} (97%)

diff --git a/meta/recipes-devtools/subversion/subversion/serfmacro.patch b/meta/recipes-devtools/subversion/subversion/serfmacro.patch
index 507de0f08b..960862d391 100644
--- a/meta/recipes-devtools/subversion/subversion/serfmacro.patch
+++ b/meta/recipes-devtools/subversion/subversion/serfmacro.patch
@@ -1,3 +1,8 @@
+From e92b9b440b2ceb338d2554247d35c099c22e0976 Mon Sep 17 00:00:00 2001
+From: Hongxu Jia <hongxu.jia@windriver.com>
+Date: Wed, 7 Dec 2016 13:54:18 +0000
+Subject: [PATCH] subversion: Fix issues in LDFLAGS sed manipulation
+
 The existing sed expression can match expressions like
 --sysroot=/some/path/xxx-linux/ which clearly isn't intended and injects
 incorrect paths into LDFLAGS.
@@ -26,6 +31,3 @@ index 0a549b3..3a069ac 100644
            break
          else
            AC_MSG_RESULT([no])
--- 
-2.7.4
-
diff --git a/meta/recipes-devtools/subversion/subversion_1.14.4.bb b/meta/recipes-devtools/subversion/subversion_1.14.5.bb
similarity index 97%
rename from meta/recipes-devtools/subversion/subversion_1.14.4.bb
rename to meta/recipes-devtools/subversion/subversion_1.14.5.bb
index 0f453db247..c8a2e12f4f 100644
--- a/meta/recipes-devtools/subversion/subversion_1.14.4.bb
+++ b/meta/recipes-devtools/subversion/subversion_1.14.5.bb
@@ -12,7 +12,7 @@ SRC_URI = "${APACHE_MIRROR}/${BPN}/${BPN}-${PV}.tar.bz2 \
            file://serfmacro.patch \
            "
 
-SRC_URI[sha256sum] = "44ead116e72e480f10f123c914bb6f9f8c041711c041ed7abff1b8634a199e3c"
+SRC_URI[sha256sum] = "e78a29e7766b8b7b354497d08f71a55641abc53675ce1875584781aae35644a1"
 
 inherit autotools pkgconfig gettext python3native
 
-- 
2.44.1

